<!DOCTYPE html>
<html lang="en">

<head>
    <%- include('./head'); %>
</head>

<body>
    <% if(req.originalUrl=="/mongo/show"){ %>
        <%- include("./navbar") %>
        <% }else{ %>
            <%- include("./navbar2") %>
        <% } %>
        <table class="table table-striped">
            <thead>
                <tr>
                    <th>Firstname</th>
                    <th>Lastname</th>
                    <th>Email</th>
                    <th>Gender</th>
                    <th>Edit</th>
                    <th>Delete</th>
                </tr>
            </thead>
            <tbody>
                <% for (let person of db_persons){ %>
                    <tr>
                        <td>
                            <%= person.firstName %>
                        </td>
                        <td>
                            <%= person.lastName %>
                        </td>
                        <td>
                            <%= person.email %>
                        </td>
                        <td>
                            <%= person.gender %>
                        </td>
                        <% if(req.originalUrl=="/mongo/show"){ %> 
                        <td><a href="/mongo/update/<%= person._id %>">edit</a></td>
                        <td><a href="/mongo/delete/<%= person._id %>">delete</a></td>
                        <% }else{ %>
                        <td><a href="/sql/update/<%= person.id %>">edit</a></td>
                        <td><a href="/sql/delete/<%= person.id %>">delete</a></td>
                        <% } %>  
                    </tr>
                    <% } %>
            </tbody>
        </table>
</body>

</html>